Create Livvi-Karelian Wikipedia at olo.wikipedia.org
Closed, ResolvedPublic

Description

The Language committee approved the Livvi-Karelian Wikipedia.

Request page, information, links to approval: https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikipedia_Livvi-Karelian

There are a very large number of changes, so older changes are hidden. Show Older Changes

WRT Wikibase, please pay attention to T125501#2021343 (from @Krenair)

@Amire80 Which category collation do the users want?

Heh, that's an excellent question. I was about to just say uca-default-u-kn, but then I read about the alphabet, and found that it has a rather unusual Latin order. See https://en.wikipedia.org/wiki/Karelian_alphabet#Current_Karelian_alphabet_.282007.E2.80.93.29 and notice that Z is after S, as well as some other oddities. I guess that it needs to be added to ICU or CLDR, or can it be added locally?

We also need the namespaces translated in mediawiki/core (example) and have some extension namespaces translated too (Scribunto, Gadgets and Flow just came to my mind).

That is not a dependency for creating the site, but I'll add it to the Incubator guide.

Also, we need the version logos in normal, 1.5x and 2x and HD if possible.

My understanding of graphics is extremely weak; can you find what you need at the link from the task description: https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikipedia_Livvi-Karelian ?

Please also provide a translation of "Wikipedia" and the Wikipedia namespace in olo so we can have it added to the settings.

Oh, and also, the timezone they'd like to use, please.

These things are definitely in the link from the task description: https://meta.wikimedia.org/wiki/Requests_for_new_languages/Wikipedia_Livvi-Karelian

  • You're absolutely right they're on Meta. My bad, sorry.
  • WRT mediawiki/core, yep, they don't block wiki creation, but it has to be done. Mind if I open a separate thread to have this done?
  • WRT category collation, I've never worked with that, so maybe @Dereckson can assistst here.
  • WRT logo, I'll have that logo version uploaded as the normal version. 1.5 and 2x + HD can be provided later if they're needed.

Change 312810 merged by Nuria:
Configuration for olo.wikipedia.org

https://gerrit.wikimedia.org/r/312810

@Amire80 Thanks but I've created them from the SVG version. See https://gerrit.wikimedia.org/r/#/c/313658/ . Should I overwrite them with yours?

Whatever looks better to you if you understand graphics well - I'm pretty dumb about it.

Overwrited, yours are better. Thanks for them!

Overwrited, yours are better. Thanks for them!

Thanks. Just to make sure, I didn't make then, I'm only passing them along.

Change 312805 merged by Dzahn:
DNS configuration for olo.wikipedia.org

https://gerrit.wikimedia.org/r/312805

Paladox added a subscriber: Paladox.Oct 4 2016, 2:53 PM

Change 314010 had a related patch set (by Paladox) published:
Initial configuration for olo.wikipedia

https://gerrit.wikimedia.org/r/314010

This comment was removed by Paladox.

Change 314012 had a related patch set (by Paladox) published:
labs dnsrecursor: add olo.wiki(pedia)

https://gerrit.wikimedia.org/r/314012

Mentioned in SAL (#wikimedia-operations) [2016-10-04T16:32:21Z] <mutante> new wiki language Livvi-Karelian -> olo.wikipedia.org has been added to DNS (T146612)

Dzahn added a subscriber: Dzahn.EditedOct 4 2016, 4:34 PM

[eeden:~] $ host olo.wikipedia.org
olo.wikipedia.org has address 91.198.174.192
olo.wikipedia.org has IPv6 address 2620:0:862:ed1a::1

^ it exists in DNS now. You can go ahead with MW config steps.

Change 314010 abandoned by Dereckson:
Initial configuration for olo.wikipedia

Reason:
Configuration already done at https://gerrit.wikimedia.org/r/#/c/312807/. Please check there the change and update if needed.

https://gerrit.wikimedia.org/r/314010

Change 314012 merged by Dzahn:
labs dnsrecursor: add olo.wiki(pedia)

https://gerrit.wikimedia.org/r/314012

Dzahn added a comment.Oct 4 2016, 11:27 PM

on bastion-01.bastion.eqiad.wmflabs

;; ANSWER SECTION:
olowiki.labsdb. 3383 IN A 10.64.37.5

Change 312808 merged by Dzahn:
RESTBase configuration for olo.wikipedia

https://gerrit.wikimedia.org/r/312808

Dereckson added a comment.EditedOct 5 2016, 6:50 PM

For collation: we don't currently have defined in the MediaWiki core a specific collation for Livvi-Karelian. As such, we should use uca-default in a first time.

When/if the community raises in the future the issue, we'll need to:

  • check if it's valuable to use a near language as a starting point (e.g. uca-fi), but Finnish sort Z after Y, not after S, Š.
  • identify difference in collation order between fi (or other starting point) and olo
  • submit information to Unicode CLDR and prepare a collation in MediaWiki core

This isn't a blocker: as a new wiki, pages count is rather low and update collation will be a matter of seconds then minutes for the next months. So this is someone the community can plan, discuss and figure later.

Furthermore, figure a collation is tricky without a corpus to test it. With an working wiki, this is easier for the community to find sorting issues when they look to category pages and notice a weird sorting.

As all is ready, deployment is scheduled Thursday, October 06 21:00 UTC, between MediaWiki train and SWAT.

Change 314536 had a related patch set uploaded (by MarcoAurelio):
WikimediaMessages initial configuration for olo.wikipedia.org

https://gerrit.wikimedia.org/r/314536

Change 312809 merged by jenkins-bot:
WikimediaMessages initial configuration for olo.wikipedia.org

https://gerrit.wikimedia.org/r/312809

Change 314599 had a related patch set uploaded (by Dereckson):
WikimediaMessages initial configuration for olo.wikipedia.org

https://gerrit.wikimedia.org/r/314599

Change 314599 merged by jenkins-bot:
WikimediaMessages initial configuration for olo.wikipedia.org

https://gerrit.wikimedia.org/r/314599

Change 314536 merged by jenkins-bot:
WikimediaMessages initial configuration for olo.wikipedia.org

https://gerrit.wikimedia.org/r/314536

Change 312807 merged by jenkins-bot:
Initial configuration for olo.wikipedia.org

https://gerrit.wikimedia.org/r/312807

Mentioned in SAL (#wikimedia-operations) [2016-10-07T00:17:45Z] <dereckson@tin> Synchronized dblists: Create olo.wikipedia.org (T146612) (duration: 00m 50s)

Mentioned in SAL (#wikimedia-operations) [2016-10-07T00:22:30Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Initial configuration for olo.wikipedia.org (T146612) (duration: 00m 50s)

Change 314640 had a related patch set uploaded (by Dereckson):
Site matrix update

https://gerrit.wikimedia.org/r/314640

@SPQRobin or @MF-Warburg: olo is ready for import

Mentioned in SAL (#wikimedia-operations) [2016-10-07T00:54:55Z] <Dereckson> https://olo.wikipedia.org has been successfully created (T146612).

Change 314642 had a related patch set uploaded (by Dereckson):
Add olo. to wikipedia family

https://gerrit.wikimedia.org/r/314642

Change 314640 merged by jenkins-bot:
Site matrix update

https://gerrit.wikimedia.org/r/314640

Change 314642 merged by jenkins-bot:
Add olo. to wikipedia family

https://gerrit.wikimedia.org/r/314642

MarcoAurelio triaged this task as "Low" priority.Oct 9 2016, 8:31 AM

Wiki has been created, but some work remains so triaging low.

Change 312812 abandoned by MarcoAurelio:
Labs configuration for olo.wikipedia.org

Reason:
Id1a2d4a8bfe85d9eba0815eecf88b7ab8a8b969c

https://gerrit.wikimedia.org/r/312812

Esc3300 added a comment.EditedOct 11 2016, 11:39 AM

Categories on olo.wikipedia.org are currently mostly empty. Wp/olo has just 39 pages.

Could you run the script to rebuild these?

Any luck with rebuilding the categories?

Kategourii:Wp/olo is now full of articles. I guess we need to have it removed now that the import is done @MF-Warburg @SPQRobin ?

Esc3300 added a comment.EditedNov 1 2016, 4:34 PM

I think it's populated because a bot imported most interwikis to Wikidata.

What may be missing are articles that have no item at Wikidata and haven't been edited. UnconnectedPages lists some, e.g. https://olo.wikipedia.org/wiki/Julgine_ala .

Going forward, I think it's worth rebuilding the categories just after import. If categories aren't there, tools like PetScan can't be used to create items at Wikidata.

Could you define "rebuild the categories", you mean regenerate each category page?

If you look at https://olo.wikipedia.org/wiki/Kategourii:Politiekku , the script should make sure that you see https://olo.wikipedia.org/wiki/Julgine_ala

As of writing, this is not visible there. It's likely that the category links table isn't built when articles are imported.

Dzahn removed a subscriber: Dzahn.Nov 2 2016, 12:33 AM

Let's create a list of things left to do here.

  • category collation, on a subtask
  • add to meta_p? (and check if all new wikis are there as well?)

Thanks to Chase on T151570 meta_p is now handled. Input from anyone who knows about collation would be appreciated in T147064.

Guys, it's been a month. We need to know about collation.

Ping. Still need to know about collation.

Change 334424 had a related patch set uploaded (by MarcoAurelio):
Define category collation for olo.wikipedia

https://gerrit.wikimedia.org/r/334424

Change 334424 merged by jenkins-bot:
Define category collation for olo.wikipedia

https://gerrit.wikimedia.org/r/334424

Mentioned in SAL (#wikimedia-operations) [2017-02-08T19:39:15Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Set category collation for olo.wikipedia (T146612, T147064) (duration: 00m 43s)

MarcoAurelio closed this task as "Resolved".Feb 8 2017, 7:53 PM
MarcoAurelio assigned this task to Dereckson.

Category collation set and it seems everything here is done. Assigned to @Dereckson since he created the wiki. Closed as resolved.